#!/usr/bin/perl


if($#ARGV != 2){
    print "Usage: ./shift_aperture.pl [object aperture] [offset list] [list of output aperture file]\n";
    exit;
}

open(OFFSET,"$ARGV[1]");

$dx_min = 0;
$dy_min = 0;
while(<OFFSET>){
    chop;
    @param = split(/\s+/,$_);
    $dx = $param[0];
    $dy = $param[1];

    if($dx < $dx_min){
	$dx_min = $dx;
    }

    if($dy < $dy_min){
	$dy_min = $dy;
    }
}
close(OFFSET);

$dX = $dx_min;
$dY = $dy_min;

open(OFFSET,"$ARGV[1]");
open(OUTAP,"$ARGV[2]");

while($outap=<OUTAP>, $offset=<OFFSET>){
    chop($outap);
    chop($offset);

    open(OUT,"> $outap");

    @param_offset = split(/\s+/,$offset);
    $offset_x = $param_offset[0];
    $offset_y = $param_offset[1];

    open(INAP,"$ARGV[0]");

    while(<INAP>){
	chop;
	@param1 = split(/\s+/,$_);
	$x = $param1[0];
	$y = $param1[1];
	$r = $param1[2];
	
	$x = $x + $dX - $offset_x;
	$y = $y + $dY - $offset_y;

	if($x > 10 && $x < 1014 && $y >10 && $y < 1014){
	    print OUT "$x $y $r\n";
	}
    }
    close(INAP);
    close(OUT);
} 

close(OUTAP);
close(OFFSET);
