#!/usr/bin/perl

# Setup IRAF
if(-e "login.cl"){
    open(OUT, "> mkiraf.sh");
    print OUT "\n";
    print OUT "mkiraf <<EOF\n";
    print OUT "n\n";
    print OUT "xgterm\n";
    print OUT "EOF\n";
    close(OUT);
    system("sh mkiraf.sh\n");
}else{
    open(OUT, "> mkiraf.sh");
    print OUT "\n";
    print OUT "mkiraf <<EOF\n";
    print OUT "xgterm\n";
    print OUT "EOF\n";
    close(OUT);
    system("sh mkiraf.sh\n");
}

# install ircs script
system('mv login.cl login.cl.org');
open(IN,"login.cl.org");
open(OUT,"> login.cl");

while(<IN>){
    @param = split(/\s+/,$_);

    if($param[1] eq "stdimage"){
	$_ =~ s/\#//;
	$_ =~ s/imt800/imt2048/;
	print OUT $_;
    }elsif($param[1] eq "imtype"){
	$_ =~ s/\#//;
	$_ =~ s/imh/fits/;
	print OUT $_;
    }elsif($param[0] eq "noao"){
	print OUT $_;
	print OUT "artdata\n";
	print OUT "proto\n";
	print OUT "nproto\n";
	print OUT "digiphot\n";
	print OUT "apphot\n";
	print OUT "stsdas\n";
	print OUT "analysis\n";
	print OUT "fourier\n";
	print OUT "dither\n";
	print OUT "fitting\n";
	print OUT "ircs_imgred\n";
    }else{
	print OUT $_;
    }
}

close(IN);
close(OUT);

open(OUT,"> loginuser.cl");
print OUT "# Setup for ircsimg_red\n";
print OUT "task \$ircs_imgred = home\$clscript/ircs_imgred.cl\n";
print OUT "set dir_ircs_imgred = \"home\$clscript/\"\n";
print OUT "\n";
print OUT "keep\n";
close(OUT);

system("chmod 755 plscript/*");
system("cp plscript/* \$HOME/bin/.");

print "Done\n";
