## Script for checking object mask
## Yosuke Minowa (2006.12.3)

procedure check_objmask(image, objmask)

file image    {prompt = "List of images without @mark"}
file objmask  {prompt = "List of object masks without @mark"}
struct *list1  {mode = 'h'}
struct *list2  {mode = 'h'}

begin
	char _image, _objmask
	char fname1, fname2
	char nex
	
	_image = image
	_objmask = objmask

	list1 = image
	list2 = objmask

	while(fscan(list1,fname1) != EOF){
		if(fscan(list2,fname2) != EOF){
			hedit(fname1,"objmask",fname2//"[pl]",add+,ver-)
		}
		print ("\n### ",fname1," with object mask ",fname2)
		print ("### Press [return]")
		scan("%s",nex)
		display (fname1,1,overlay="")
		display (fname1,2,overlay="!objmask")
	}

end
