## Dark Frame Making Script 
## Yosuke Minowa (2002/07/12)

procedure mkdark(darklist,output)

file   darklist   {prompt = "Input dark image list with @mark"}
file   output    {prompt = "Output dark image (normalized by coadds and ndr)"}
	
	
begin
	char _darklist
	char _output

	real ndr,coadd,fac
	int num

	_darklist = darklist
	_output = output


	imcombine (_darklist, _output, headers="", bpmasks="",
	rejmasks="", nrejmasks="", expmasks="", sigmas="",
	logfile="STDOUT", combine="median", reject="sigclip",
	project=no, outtype="real", outlimits="", offsets="none",
	masktype="none", maskvalue=0, blank=0, scale="none",
	zero="none", weight="none", statsec="", expname="",
	lthreshold=INDEF, hthreshold=INDEF, nlow=1., nhigh=1.,
	nkeep=1., mclip=yes, lsigma=3, hsigma=3, rdnoise="0.",
	gain="1.", snoise="0.", sigscale=0.1, pclip=-0.5, grow=0.)


	imgets(_output,param="COADDS")
	coadd = real(imgets.value)

	imgets(_output,param="NDR")
	ndr = real(imgets.value)

	fac = ndr * coadd
	print("# Coadd = ",coadd," NDR = ",ndr)
	imarith (_output,"/",fac,_output,ver+)

end

		
	
	
