## showap.cl
## Overlay the mask aperture on the image.

procedure showap (image,maskdata)

file image    {prompt = "Image file name."}
file maskdata {prompt = "Mask data file name."}
int  mcolor   {205,prompt = "Mark color"}

begin
	string img,mask
	string tmpfile1
	int mcol
	real x,y,r

	img = image
	mask = maskdata
	mcol = mcolor

	display (img,1,fi+)

	list = mask

	while(fscan(list,x,y,r) == 3) {
		tmpfile1 = mktemp("tmp_file.")
		print (x,y,r,>tmpfile1)
		tvmark (1, tmpfile1, logfile="", autolog=no, outimage="", deletions="", commands="", mark="circle", radii=r, lengths="0", font="raster", color=mcol, label=yes, number=no, nxoffset=0, nyoffset=0, pointsize=3, txsize=2, tolerance=1.5, interactive=no)
		del (tmpfile1,ver-,>&"dev$null")
	}

end
